Name:           quake3
Version:        20250515
Release:        1%{?dist}
Summary:        Quake 3 Arena engine (ioquake3 version)

License:        GPLv2+
URL:            http://ioquake3.org/
# archive from git made by: git archive --format tar.gz --prefix='quake3-20250515/' --output ~/rpmbuild/SOURCES/quake3-20250515.tar.gz main
Source0:        %{name}-%{version}.tar.gz
Source1:		%{name}.desktop
Source2:		%{name}.appdata.xml
Source3:		%{name}.png

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  SDL2-devel
BuildRequires:	glibc-devel
BuildRequires:	libcurl-devel
BuildRequires:	openal-soft-devel
BuildRequires:  desktop-file-utils
Requires:       SDL2

%description
This package contains the enhanced opensource ioquake3 version of the Quake 3
Arena engine. This engine can be used to play a number of games based on this
engine, below is an (incomplete list):

* OpenArena, Free, Open Source Quake3 like game, recommended!
  (packagename: openarena)

* Urban Terror, gratis, but not Open Source FPS best be described as a
  Hollywood tactical shooter, a downloader and installer including an
  application menu entry is available in the urbanterror package.

* World of Padman, gratis, but not Open Source Comic FPS, a downloader and
  installer including an application menu entry is available in the
  worldofpadman package.

* Quake3 Arena, the original! A downloader and installer for the gratis, but
  not Open Source demo, including an application menu entry is available in
  the quake3-demo package.

  If you own a copy of quake 3, you will need to copy pak0.pk3 from the
  original CD-ROM and your q3key to /usr/share/quake3/baseq3 or ~/.q3a/baseq3.
  Also copy the pak?.pk3 files from the original 1.32 Quake 3 Arena point
  release there if you have them available or run quake3-update to download
  them for you.

%prep
%autosetup


%build
export CFLAGS="${RPM_OPT_FLAGS}"
make %{?_smp_mflags} \
    DEFAULT_BASEDIR=%{_datadir}/%{name} USE_CODEC_VORBIS=1 \
    USE_LOCAL_HEADERS=0 BUILD_GAME_SO=0 USE_LOCAL_LIBS=0 


%install
# install the binaries built from the game code
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 build/release-linux-x86_64/ioquake3.x86_64 \
  $RPM_BUILD_ROOT%{_bindir}/quake3
install -m 755 build/release-linux-x86_64/ioq3ded.x86_64 \
  $RPM_BUILD_ROOT%{_bindir}/q3ded
install -m 0755 build/release-linux-x86_64/renderer*.so \
  $RPM_BUILD_ROOT%{_datadir}/%{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/appdata
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps


%files
%license COPYING.txt
%doc ChangeLog id-readme.txt md4-readme.txt README.md TODO SECURITY.md
%{_bindir}/%{name}
%{_bindir}/q3ded
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/renderer_opengl*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog
* Mon May 26 2025 Vector Sigma <spongebobquadranglepants@gmail.com> 20250515-1
- git pull latest
- rebuild for Fedora 42, since Fedora still ships a segfauling binary from 10 years ago.

* Wed Jan 10 2024 Vector Sigma <spongebobquadranglepants@gmail.com> 20231226-1
- git pull to newer code release
- rebuild for fedora 38

* Tue Nov 29 2022 Vector Sigma <spongebobquadranglepants@gmail.com> 20221103-2
- removed all the legacy "demo" stuff from the desktop apps so the launcher icons work now.

* Fri Nov 25 2022 Vector Sigma <spongebobquadranglepants@gmail.com> 20221103-1
- Finally packaging a version that isn't a decade old that was rebuilt for years
  but never tested to see if it actually worked. :) 
- Uses SDL2
- kept the old icons and appdata though.
- removed the packaging for the updater, urbanterror, worldofpadman, etc. crusty old installers.
